Subject: Re: Some sub-commands can't be completed by TAB key.

From: Junio C Hamano <[email-masked]>
Date: Sun, 23 Jan 2022 11:51:53 -0800

Philippe Blain <[email-masked]> writes:

>> I see the following:
>> 
>> $ git l<TAB>
>> latexdiff   log
>
> This would mean you have a 'git-latexdiff' command somewhere in your PATH.

True.  On Debian-based systems, the texlive-extra-utils package has
/usr/bin/git-latexdiff and that is likely where it came from.

It is also worth noting that completion will also include whatever
alias.  I get "lg" in the mix because I have

        [alias]
                lg = "log --oneline"

in my $HOME/.gitconfig, for example.